#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2

Summary:        Ksysguard libraries
Name:           libksysguard
Version: 5.8.6
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kcoreaddons-devel
BuildRequires:  kauth-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdesignerplugin-devel
BuildRequires:  karchive-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kservice-devel
BuildRequires:  kemoticons-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kitemmodels-devel
BuildRequires:  kinit-devel
BuildRequires:  knotifications-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kcompletion-devel
BuildRequires:  sonnet-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kbookmarks-devel
BuildRequires:  kjobwidgets-devel
BuildRequires:  solid-devel
BuildRequires:  kio-devel
BuildRequires:  kparts-devel
BuildRequires:  kunitconversion-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  ki18n-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kconfig-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Conflicts:      kdebase4-workspace < 2:4.11.21

%description
Ksysguard libraries

%files -f %name.lang
%_sysconfdir/dbus-1/system.d/org.kde.ksysguard.processlisthelper.conf
%_libexecdir/kauth/ksysguardprocesslist_helper
%_datadir/dbus-1/system-services/org.kde.ksysguard.processlisthelper.service
%_datadir/polkit-1/actions/org.kde.ksysguard.processlisthelper.policy

#--------------------------------------------------------------------

%define ksgrd_major 5
%define libksgrd %mklibname ksgrd %{ksgrd_major}

%package -n %libksgrd
Summary:  Ksysguard libraries
Group:        System/Libraries

%description -n %libksgrd
Ksysguard libraries

%files -n %libksgrd
%{_kf5_libdir}/libksgrd.so.%{ksgrd_major}*
%{_kf5_libdir}/libksgrd.so.7

#--------------------------------------------------------------------

%define ksignalplotter_major 5
%define libksignalplotter %mklibname ksignalplotter %{ksignalplotter_major}

%package -n %libksignalplotter
Summary:  Ksysguard libraries
Group:        System/Libraries

%description -n %libksignalplotter
Ksysguard libraries

%files -n %libksignalplotter
%{_kf5_libdir}/libksignalplotter.so.%{ksignalplotter_major}*
%{_kf5_libdir}/libksignalplotter.so.7

#--------------------------------------------------------------------

%define lsofui_major 5
%define liblsofui %mklibname lsofui %{lsofui_major}

%package -n %liblsofui
Summary:  Ksysguard libraries
Group:        System/Libraries

%description -n %liblsofui
Ksysguard libraries

%files -n %liblsofui
%{_kf5_libdir}/liblsofui.so.%{lsofui_major}*
%{_kf5_libdir}/liblsofui.so.7

#--------------------------------------------------------------------

%define processcore_major 5
%define libprocesscore %mklibname processcore %{processcore_major}

%package -n %libprocesscore
Summary:  Ksysguard libraries
Group:        System/Libraries

%description -n %libprocesscore
Ksysguard libraries

%files -n %libprocesscore
%{_kf5_libdir}/libprocesscore.so.%{processcore_major}*
%{_kf5_libdir}/libprocesscore.so.7

#--------------------------------------------------------------------

%define processui_major 5
%define libprocessui %mklibname processui %{processui_major}

%package -n %libprocessui
Summary:  Ksysguard libraries
Group:        System/Libraries

%description -n %libprocessui
Ksysguard libraries

%files -n %libprocessui
%{_kf5_libdir}/libprocessui.so.%{processui_major}*
%{_kf5_libdir}/libprocessui.so.7

#--------------------------------------------------------------------

%define ksysguard_devel %mklibname ksysguard -d

%package -n %ksysguard_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %{version}-%{release}
Requires:       %libksgrd = %{version}-%{release}
Requires:       %libprocessui = %{version}-%{release}
Requires:       %libprocesscore = %{version}-%{release}
Requires:       %liblsofui = %{version}-%{release}
Requires:       %libksignalplotter = %{version}-%{release}

Requires:       pkgconfig(Qt5DBus)

Provides:       %name-devel = %{version}-%{release}

# duplicated files with KDE 4
Conflicts:      kdebase4-workspace-devel < 2:4.11.21

%description -n %ksysguard_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %ksysguard_devel
%_includedir/ksysguard
%_kf5_libdir/cmake/KF5SysGuard/
%_kf5_libdir/*.so
%_kf5_datadir/ksysguard/scripts

#--------------------------------------------------------------------


%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build

%find_lang --all-name %name


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1090376
- Rebuild for armv7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089034
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078169
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070726
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065107
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064487
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063057
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060282
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057608
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053064
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052691
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048356
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044277
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042565
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041402
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039508
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021879
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014547
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009284
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999268
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998023
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994399
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987001
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983751
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927978
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922513
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914848
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910693
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908854
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904407
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900780
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898265
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889525
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874737
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869654
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862544
- New version 5.3.95

* Mon Aug 03 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 860901
- Add back po files

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 860300
- Fix conflicts against kdebase4-workspace
- Add conflict to help upgrade

* Fri Jul 03 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 849807
- New version 5.3.2

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804181
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-7.mga5
+ Revision: 793585
- add missing conflicts with KDE 4

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-6.mga5
+ Revision: 746587
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 681567
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-4.mga5
+ Revision: 664755
- fix -devel name

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-3.mga5
+ Revision: 664597
- Rename -devel

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663910
- Rename as this is not a framework
- Rename

* Fri Aug 15 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662799
- New version 5.0.1

* Sun Jul 20 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 654701
- imported package kf5-libksysguard

